Bug 17374 - HSSFFont - BOLDWEIGHT_NORMAL
Summary: HSSFFont - BOLDWEIGHT_NORMAL
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: HSSF (show other bugs)
Version: 2.0-pre3
Hardware: Other other
: P3 minor (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-02-25 15:00 UTC by gr_nico
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gr_nico 2003-02-25 15:00:26 UTC
On Workbook.createFont, the FontRecord is set with value 0x190 for boldweight:

setBoldWeight(( short ) 0x190);

This is the default value for no bold for a Font.

But, on HSSFFont the constant BOLDWEIGHT_NORMAL is set to 190.

/**
 * Normal boldness (not bold)
 */
BOLDWEIGHT_NORMAL = 190;

Perhaps it should be 0x190 and not 190.
Comment 1 Andy Oliver 2003-07-24 15:48:30 UTC
doh!
Comment 2 Avik Sengupta 2003-10-27 02:41:59 UTC
Fixed according to the bug report. Hope its correct!!!